Subject: bug#75837: [PATCH] Add autosave timer to save-place in harmony with savehist

From: Ship Mints <[email-masked]>
Date: Sat, 1 Feb 2025 09:25:32 -0500

I'll wait on this until we settle the timer discussion.

On Sat, Feb 1, 2025 at 9:22 AM Ship Mints <[email-masked]> wrote:

> I need to go back and double space those sentences. My attempt to automate
> didn't work. Gimme a minute.
>
> On Sat, Feb 1, 2025 at 8:15 AM Ship Mints <[email-masked]> wrote:
>
>> Thank you for the review. Revised patch attached.
>>
>> On Sat, Feb 1, 2025 at 6:06 AM Eli Zaretskii <[email-masked]> wrote:
>>
>>> > From: Ship Mints <[email-masked]>
>>> > Date: Sat, 25 Jan 2025 14:26:40 -0500
>>> >
>>> > * lisp/saveplace.el (save-place-autosave-interval):
>>> > Add supporting functions for save-place autosave idle timer.
>>> >
>>> > I have a private implementation of this that I rely on that other
>>> people might find helpful as a builtin.
>>>
>>> Thanks, a few comments below.
>>>
>>> > * lisp/saveplace.el (save-place-autosave-interval):
>>> > Add supporting functions for save-place autosave idle timer.
>>>
>>> This log message is incomplete.  Please mention all the changes in all
>>> the functions/variables.
>>>
>>> > +(defcustom save-place-autosave-interval (* 5 60)
>>> > +  "The interval between autosaves of buffer places.
>>> > +If set to nil, disables timer-based autosaving.
>>> > +Use `setopt' or Customize commands to set this option."
>>> > +  :type '(choice (const :tag "Disabled" nil)
>>> > +                 (integer :tag "Seconds"))
>>> > +  :version "31.1"
>>>
>>> Why should we turn this on by default?  I think it should be disabled
>>> by default.
>>>
>>> Finally, this needs a NEWS entry.
>>>
>>